| Qore Programming Language Reference Manual 1.0.8

Variables
Debug Run State Constants

## Variables
const | Qore::DebugDetach = DBG_RS_DETACH
| Detach program from debugging, it is not normally used from script.
const | Qore::DebugRun = DBG_RS_RUN
| Run program, avoid stepping.
const | Qore::DebugStep = DBG_RS_STEP
| Run one step in program, in case of function call stepping goes on in function.
const | Qore::DebugStepOver = DBG_RS_STEP_OVER
| Run one step in program, in case of function call stepping does not go to function.
const | Qore::DebugUntilReturn = DBG_RS_UNTIL_RETURN
| Run program till function is exited.

## Detailed Description

These are the possible values that can be passed back to program as result to control next debugging process

Since
  Qore 0.8.13